CREATE TABLE iby_pmt_instr_uses_all (
    INSTRUMENT_PAYMENT_USE_ID    NUMBER(18, 0),
    PAYMENT_FLOW                 VARCHAR2(120)    NOT NULL,
    EXT_PMT_PARTY_ID             NUMBER(18, 0)    NOT NULL,
    INSTRUMENT_TYPE              VARCHAR2(120)    NOT NULL,
    INSTRUMENT_ID                NUMBER(18, 0)    NOT NULL,
    PAYMENT_FUNCTION             VARCHAR2(120)    NOT NULL,
    ORDER_OF_PREFERENCE          NUMBER(18, 0),
    PRIMARY_FLAG                 VARCHAR2(120)    NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    START_DATE                   DATE             NOT NULL,
    END_DATE                     DATE             NOT NULL,
    DEBIT_AUTH_FLAG              VARCHAR2(4)  ,
    DEBIT_AUTH_METHOD            VARCHAR2(120),
    DEBIT_AUTH_REFERENCE         VARCHAR2(400),
    DEBIT_AUTH_BEGIN             DATE         ,
    DEBIT_AUTH_END               DATE         ,
    ATTRIBUTE_CATEGORY           VARCHAR2(600),
    ATTRIBUTE1                   VARCHAR2(600),
    ATTRIBUTE2                   VARCHAR2(600),
    ATTRIBUTE3                   VARCHAR2(600),
    ATTRIBUTE4                   VARCHAR2(600),
    ATTRIBUTE5                   VARCHAR2(600),
    ATTRIBUTE6                   VARCHAR2(600),
    ATTRIBUTE7                   VARCHAR2(600),
    ATTRIBUTE8                   VARCHAR2(600),
    ATTRIBUTE9                   VARCHAR2(600),
    ATTRIBUTE10                  VARCHAR2(600),
    ATTRIBUTE11                  VARCHAR2(600),
    ATTRIBUTE12                  VARCHAR2(600),
    ATTRIBUTE13                  VARCHAR2(600),
    ATTRIBUTE14                  VARCHAR2(600),
    ATTRIBUTE15                  VARCHAR2(600),
    ENTERPRISE_ID                NUMBER(18, 0),
    INSTRUMENT_PAYMENT_USE_ID    NUMBER(18, 0),
    PAYMENT_FLOW                 VARCHAR2(120)    NOT NULL,
    EXT_PMT_PARTY_ID             NUMBER(18, 0)    NOT NULL,
    INSTRUMENT_TYPE              VARCHAR2(120)    NOT NULL,
    INSTRUMENT_ID                NUMBER(18, 0)    NOT NULL,
    PAYMENT_FUNCTION             VARCHAR2(120)    NOT NULL,
    ORDER_OF_PREFERENCE          NUMBER(18, 0),
    PRIMARY_FLAG                 VARCHAR2(120)    NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    START_DATE                   DATE             NOT NULL,
    END_DATE                     DATE             NOT NULL,
    DEBIT_AUTH_FLAG              VARCHAR2(4)  ,
    DEBIT_AUTH_METHOD            VARCHAR2(120),
    DEBIT_AUTH_REFERENCE         VARCHAR2(400),
    DEBIT_AUTH_BEGIN             DATE         ,
    DEBIT_AUTH_END               DATE         ,
    ATTRIBUTE_CATEGORY           VARCHAR2(600),
    ATTRIBUTE1                   VARCHAR2(600),
    ATTRIBUTE2                   VARCHAR2(600),
    ATTRIBUTE3                   VARCHAR2(600),
    ATTRIBUTE4                   VARCHAR2(600),
    ATTRIBUTE5                   VARCHAR2(600),
    ATTRIBUTE6                   VARCHAR2(600),
    ATTRIBUTE7                   VARCHAR2(600),
    ATTRIBUTE8                   VARCHAR2(600),
    ATTRIBUTE9                   VARCHAR2(600),
    ATTRIBUTE10                  VARCHAR2(600),
    ATTRIBUTE11                  VARCHAR2(600),
    ATTRIBUTE12                  VARCHAR2(600),
    ATTRIBUTE13                  VARCHAR2(600),
    ATTRIBUTE14                  VARCHAR2(600),
    ATTRIBUTE15                  VARCHAR2(600),
    ENTERPRISE_ID                NUMBER(18, 0),
    CONSTRAINT pk_iby_pmt_instr_uses_all PRIMARY KEY (INSTRUMENT_PAYMENT_USE_ID, INSTRUMENT_PAYMENT_USE_ID)
);
